When multiple load ioctls are issued the reference count on older
'new_tables' wasn't being dropped.  [Christophe Saout]
--- diff/drivers/md/dm-ioctl.c	2003-10-10 23:42:15.000000000 +0100
+++ source/drivers/md/dm-ioctl.c	2003-10-10 23:42:42.000000000 +0100
@@ -816,6 +816,8 @@
 		return -ENXIO;
 	}
 
+	if (hc->new_map)
+		dm_table_put(hc->new_map);
 	hc->new_map = t;
 	param->flags |= DM_INACTIVE_PRESENT_FLAG;
 
